@echo off
rem ................................. initialisation: (example values)
set FMT=latex
set FIX=tex
set LANG=english
set MNU=31
set WORK=%1
set MAIN=%1
if not "%2"=="" set WORK=%2
if "%WORK%"=="" set MNU=121
set DOS=dir
rem ................................. running menu:
:menu
mnu texcfg.mnu envir.bat dos.bat mfbatdem.bat gfbatdem.bat
call envir
if "%MAIN%"=="" set MAIN=%WORK%
rem ................................. chose process:
if errorlevel 255 goto syserr
if errorlevel 172 goto czech
if errorlevel 171 goto english
if errorlevel 152 goto gfcomm
if errorlevel 151 goto mfcomm
if errorlevel 133 goto exview
if errorlevel 132 goto extex
if errorlevel 131 goto exedit
if errorlevel 125 goto dosbat
if errorlevel 105 goto archive
if errorlevel  58 goto ViewTXM
if errorlevel  57 goto TeXTXM
if errorlevel  56 goto EditTXM
if errorlevel  54 goto GFtoPK
if errorlevel  53 goto metafont
if errorlevel  52 goto EditMF
if errorlevel  48 goto ClearOp
if errorlevel  47 goto EditOp
if errorlevel  46 goto makeHP
if errorlevel  45 goto Laser
if errorlevel  44 goto View300
if errorlevel  43 goto makeEPS
if errorlevel  42 goto matrix
if errorlevel  41 goto View180
if errorlevel  37 goto bat
if errorlevel  36 goto tie
if errorlevel  35 goto spell
if errorlevel  34 goto TEedit
if errorlevel  33 goto View
if errorlevel  32 goto TeX
if errorlevel  31 goto Edit
if errorlevel  29 goto quit
if errorlevel  27 goto editor
if errorlevel  26 goto shell
if errorlevel  24 goto clear
goto quit
rem ................................. running Edit -> TeX -> View:
:Edit
echo Insert the editor here ...  (input file: %WORK%.%FIX%)
set MNU=32
goto menu
:TeX
echo Insert the TeX running here ... (input file: %MAIN%.%FIX%, format: %FMT%)
set MNU=33
goto menu
:View
echo Insert the screen device driver here ... (input file: %MAIN%.dvi)
set MNU=31
goto menu
rem ................................. correction of document:
:TEedit
echo Insert the speciall editor here ...  (input file: %WORK%.%FIX%)
set MNU=32
goto menu
:spell
echo Insert the spellchecker here ... (input file: %WORK%.%FIX%)
set MNU=32
goto menu
:tie
echo Insert the Tie program here ... (input file: %WORK%.%FIX%)
set MNU=32
goto menu
:bat
echo on
call bat.bat
@echo off
goto menu
rem ................................. Prints - matrix:
:View180
echo Insert the screen device driver here ...  (input file: %MAIN%.dvi)
goto menu
:matrix
echo Insert the print matrix device driver here ... (input file: %MAIN%.dvi)
goto menu
:makeEps
echo Insert the print driver here ... (input: %MAIN%.dvi, output: %MAIN%.eps)
goto menu
rem ................................. Prints - laser:
:View300
echo Insert the screen device driver here ... (input file: %MAIN%.dvi)
goto menu
:Laser
echo Insert the Laser device driver here ... (input file: %MAIN%.dvi)
goto menu
:makeHP
echo Insert the print driver here ... (input: %MAIN%.dvi, output: %MAIN%.eps)
goto menu
rem ................................. Prints - options:
:EditOp
echo Insert the editor here .... (input file: %MAIN%.opt)
set MNU=41
goto menu
:ClearOp
del %MAIN%.opt
set MNU=41
goto menu
rem ................................. Special functions:
:dosbat
set MNU=25
call dos
goto menu
:editor
c:\dbedit\dbedit texcfg.mnu
echo Insert the editor here .... (without specified input file)
goto menu
:clear
if not %MAIN%==%WORK% echo delete %WORK%.bak
if not %MAIN%==%WORK% del %WORK%.bak
echo delete %MAIN%.bak %MAIN%.log %MAIN%.dvi %MAIN%.aux %MAIN%.hp %MAIN%.eps
for %%f in (bak log dvi aux hp eps) do del %MAIN%.%%f
goto menu
:shell
echo Insert the shell running here ... (for instance pctools, nc etc.)
goto menu
rem ................................. METAFONT:
:EditMF
echo Insert the editor here ... (input file: %MAIN%.mf)
set MNU=53
goto menu
:metafont
call mfbatdem.bat
totext
set MNU=52
goto menu
:mfcomm
set MNU=152
goto menu
:gfcomm
set MNU=51
goto menu
:GFtoPK
call gfbatdem
goto menu
rem ................................. include a new font in TeX:
:EditTXM
echo Insert the editor here ... (input file %MAIN%.mft)
set MNU=57
goto menu
:TeXTXM
echo Insert the TeX running here ... (input file %MAIN%.mft)
set MNU=58
goto menu
:ViewTXM
echo Insert the screen driver here ... (input file %MAIN%.dvi)
set MNU=56
goto menu
rem ................................. Diskette:
:archive
if %AR%==from goto fromdisc
echo copy %D%:%MAIN%.%FIX%
if not %WORK%==%MAIN% echo copy %D%:%WORK%.tex
set MNU=31
goto menu
:fromdisc
echo copy %MAIN%.%FIX% %D%:
if not %MAIN%==%WORK% echo copy %WORK%.tex %D%:
set MNU=31
goto menu
rem ................................. Experiment:
:exEdit
echo Insert the editor here ... (input file: %MAIN%.try)
set MNU=132
goto menu
:exTeX
echo Insert the TeX running here ... (input file: %MAIN%.try)
set MNU=133
goto menu
:exView
echo Insert the screen driver here ... (input file: %MAIN%.dvi)
set MNU=131
goto menu
rem ................................. Language:
:english
set FIX=tex
set LANG=english
echo Insert the breaking of czech keyboard driver here ....
set MNU=62
goto menu
:czech
set FIX=cs
set LANG=czech
echo Insert the loading of czech keyboard driver here ....
set MNU=62
goto menu
rem ................................. Final:
:syserr
echo SORRY - Error in configuration of TeX system.
echo Please ask the system engineer to solving this problem.
:quit
echo End of demonstration. Bye!
